libpagemaker::PMDLine Class Reference documentation

libpagemaker::PMDLine Class Reference

`#include <geometry.h>`

Inheritance diagram for libpagemaker::PMDLine:

## Public Member Functions
| PMDLine (const PMDShapePoint &bboxTopLeft, const PMDShapePoint &bboxBotRight, const bool mirrored, const PMDStrokeProperties strokeProps)
double | getRotation () const override
double | getSkew () const override
PMDShapePoint | getXformTopLeft () const override
PMDShapePoint | getXformBotRight () const override
PMDShapePoint | getRotatingPoint () const override
bool | getIsClosed () const override
PMDShapePoint | getBboxTopLeft () const override
PMDShapePoint | getBboxBotRight () const override
std::vector< PMDShapePoint > | getPoints () const override
uint8_t | shapeType () const override
PMDFillProperties | getFillProperties () const override
PMDStrokeProperties | getStrokeProperties () const override
std::string | getText () const override
std::vector< PMDCharProperties > | getCharProperties () const override
std::vector< PMDParaProperties > | getParaProperties () const override
librevenge::RVNGBinaryData | getBitmap () const override
| ~PMDLine () override
Public Member Functions inherited from libpagemaker::PMDLineSet
virtual | ~PMDLineSet ()

## Private Attributes
PMDShapePoint | m_bboxTopLeft
PMDShapePoint | m_bboxBotRight
bool | m_mirrored
PMDStrokeProperties | m_strokeProps

## Constructor & Destructor Documentation

## ◆ PMDLine()

libpagemaker::PMDLine::PMDLine | ( | const PMDShapePoint & | bboxTopLeft,
|  | const PMDShapePoint & | bboxBotRight,
|  | const bool | mirrored,
|  | const PMDStrokeProperties | strokeProps )
| inline

## ◆ ~PMDLine()

libpagemaker::PMDLine::~PMDLine | ( |  | ) |
| inlineoverride

## Member Function Documentation

## ◆ getBboxBotRight()

PMDShapePoint libpagemaker::PMDLine::getBboxBotRight | ( |  | ) | const
| inlineoverridevirtual

Implements libpagemaker::PMDLineSet.

## ◆ getBboxTopLeft()

PMDShapePoint libpagemaker::PMDLine::getBboxTopLeft | ( |  | ) | const
| inlineoverridevirtual

Implements libpagemaker::PMDLineSet.

## ◆ getBitmap()

librevenge::RVNGBinaryData libpagemaker::PMDLine::getBitmap | ( |  | ) | const
| inlineoverridevirtual

Implements libpagemaker::PMDLineSet.

## ◆ getCharProperties()

std::vector< PMDCharProperties > libpagemaker::PMDLine::getCharProperties | ( |  | ) | const
| inlineoverridevirtual

Implements libpagemaker::PMDLineSet.

## ◆ getFillProperties()

PMDFillProperties libpagemaker::PMDLine::getFillProperties | ( |  | ) | const
| inlineoverridevirtual

Implements libpagemaker::PMDLineSet.

## ◆ getIsClosed()

bool libpagemaker::PMDLine::getIsClosed | ( |  | ) | const
| inlineoverridevirtual

Implements libpagemaker::PMDLineSet.

## ◆ getParaProperties()

std::vector< PMDParaProperties > libpagemaker::PMDLine::getParaProperties | ( |  | ) | const
| inlineoverridevirtual

Implements libpagemaker::PMDLineSet.

## ◆ getPoints()

std::vector< PMDShapePoint > libpagemaker::PMDLine::getPoints | ( |  | ) | const
| inlineoverridevirtual

Implements libpagemaker::PMDLineSet.

## ◆ getRotatingPoint()

PMDShapePoint libpagemaker::PMDLine::getRotatingPoint | ( |  | ) | const
| inlineoverridevirtual

Implements libpagemaker::PMDLineSet.

## ◆ getRotation()

double libpagemaker::PMDLine::getRotation | ( |  | ) | const
| inlineoverridevirtual

Implements libpagemaker::PMDLineSet.

## ◆ getSkew()

double libpagemaker::PMDLine::getSkew | ( |  | ) | const
| inlineoverridevirtual

Implements libpagemaker::PMDLineSet.

## ◆ getStrokeProperties()

PMDStrokeProperties libpagemaker::PMDLine::getStrokeProperties | ( |  | ) | const
| inlineoverridevirtual

Implements libpagemaker::PMDLineSet.

## ◆ getText()

std::string libpagemaker::PMDLine::getText | ( |  | ) | const
| inlineoverridevirtual

Implements libpagemaker::PMDLineSet.

## ◆ getXformBotRight()

PMDShapePoint libpagemaker::PMDLine::getXformBotRight | ( |  | ) | const
| inlineoverridevirtual

Implements libpagemaker::PMDLineSet.

## ◆ getXformTopLeft()

PMDShapePoint libpagemaker::PMDLine::getXformTopLeft | ( |  | ) | const
| inlineoverridevirtual

Implements libpagemaker::PMDLineSet.

## ◆ shapeType()

uint8_t libpagemaker::PMDLine::shapeType | ( |  | ) | const
| inlineoverridevirtual

Implements libpagemaker::PMDLineSet.

## Member Data Documentation

## ◆ m_bboxBotRight

PMDShapePoint libpagemaker::PMDLine::m_bboxBotRight
| private

Referenced by getBboxBotRight(), getPoints(), and PMDLine().

## ◆ m_bboxTopLeft

PMDShapePoint libpagemaker::PMDLine::m_bboxTopLeft
| private

Referenced by getBboxTopLeft(), getPoints(), and PMDLine().

## ◆ m_mirrored

bool libpagemaker::PMDLine::m_mirrored
| private

Referenced by getPoints(), and PMDLine().

## ◆ m_strokeProps

PMDStrokeProperties libpagemaker::PMDLine::m_strokeProps
| private

Referenced by getStrokeProperties(), and PMDLine().

The documentation for this class was generated from the following file:

- geometry.h